
Katello - Bug #6026

hammer repo list returns all repos across all content views and environments

06/03/2014 12:10 AM - Partha Aji

Status: Closed   

Priority: Normal   

Assignee: Partha Aji   

Category: Hammer   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1103942 Red Hat JIRA:  

Pull request:    

Description

If you have a content view in library published  few times and promoted a few times

hammer repo list --organization-id=1  will return all repos across all content views and environments. Meaning it will return repos with

the same name 10 or 20 times.

Ideal behaviour would be to say something along the lines of  "If you dont pass me an environment I am going to assume

library/default content view version."

Associated revisions

Revision e364a3ac - 06/03/2014 12:14 AM - Partha Aji

Fixes #6026 - Fixed repo list api call for no env case.

If you have a content view in library published few times and promoted a

few times

hammer repo list --organization-id=1 will return all repos across all

content views and environments. Meaning it will return repos with the

same name 10 or 20 times.

Ideal behaviour would be to say something along the lines of "If you

dont pass me an environment I am going to assume library/default content

view version."

This commit fixes this issue

Revision ed5135fc - 06/03/2014 12:57 AM - Partha Aji

Merge pull request #4197 from parthaa/hammer-repo-index

Fixes #6026 - Fixed repo list api call for no env case.

History

#1 - 06/03/2014 12:32 AM - Partha Aji

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1103942

#2 - 06/03/2014 01:08 AM - Eric Helms

- Target version set to 45

- Triaged changed from No to Yes

#3 - 06/03/2014 01:53 AM - Partha Aji

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:e364a3ac5f797b9bd85a2242be7478162d964d43.
#4 - 08/22/2014 08:28 AM - Eric Helms

- translation missing: en.field_release set to 13
